Index: /ipk/source.sh4/titanskins_titan/CONTROL/control
===================================================================
--- /ipk/source.sh4/titanskins_titan/CONTROL/control	(revision 16393)
+++ /ipk/source.sh4/titanskins_titan/CONTROL/control	(revision 16393)
@@ -0,0 +1,11 @@
+Package: titan-plugin-skins-titan
+Version: 1.0
+Description: old Default Skin in black for tiTan. Please use black Picons.
+Section: skins
+Priority: optional
+Maintainer: AAF Forum
+Architecture: sh4
+OE: Skin
+Homepage: http://www.aaf-digital.info
+Depends:
+Source: http://www.aaf-digital.info
Index: /ipk/source.sh4/titanskins_titan/CONTROL/postinst
===================================================================
--- /ipk/source.sh4/titanskins_titan/CONTROL/postinst	(revision 16393)
+++ /ipk/source.sh4/titanskins_titan/CONTROL/postinst	(revision 16393)
@@ -0,0 +1,16 @@
+#!/bin/sh
+TMP=/tmp/.titanskin
+echo "successfully installed"
+echo "syncing disk"
+sync
+
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+
+exit 0
Index: /ipk/source.sh4/titanskins_titan/CONTROL/postrm
===================================================================
--- /ipk/source.sh4/titanskins_titan/CONTROL/postrm	(revision 16393)
+++ /ipk/source.sh4/titanskins_titan/CONTROL/postrm	(revision 16393)
@@ -0,0 +1,16 @@
+#!/bin/sh
+TMP=/tmp/.skin
+
+PLUGINDIR=/var/usr/local/share/titan/skin/titan
+rm -rf /var/usr/local/share/titan/skin/titan
+
+echo "successfully removed"
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+exit 0
Index: /ipk/source.sh4/titanskins_titan/CONTROL/preinst
===================================================================
--- /ipk/source.sh4/titanskins_titan/CONTROL/preinst	(revision 16393)
+++ /ipk/source.sh4/titanskins_titan/CONTROL/preinst	(revision 16393)
@@ -0,0 +1,39 @@
+#!/bin/sh
+#
+TMP=/tmp/.titanskin
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	SIZE=720
+	echo "checking freespace"
+	echo packege size $SIZE kb
+	echo freespace size $FREE kb
+	if  [ "$FREE" -lt "$SIZE" ]; then
+		echo "sorry no freespace left on device"
+		exit 1
+	else
+		echo ok		
+	fi
+else
+	echo "syncing disk"
+	sync
+fi
+echo "installing titan Skin ..."
+
+
+rm -rf /var/usr/local/share/titan/skin/titan
+exit 0
Index: /ipk/source.sh4/titanskins_titan/CONTROL/prerm
===================================================================
--- /ipk/source.sh4/titanskins_titan/CONTROL/prerm	(revision 16393)
+++ /ipk/source.sh4/titanskins_titan/CONTROL/prerm	(revision 16393)
@@ -0,0 +1,12 @@
+#!/bin/sh
+TMP=/tmp/.titanskin
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+echo "removing titan Skin"
+exit 0
